//*****************************************************************************
//*
//*
//*		SynchPathDlg.cpp : Implementierungsdatei
//*
//*
//*****************************************************************************
//
//	Copyright  2004	Anton Zechner
//
#include	"StdAfx.h"
#include 	"SynchPath.h"
#include 	"SynchPathDlg.h"
#include 	"SynchFile.h"
#include 	"ShortCuts.h"
#include 	"AfxUtility.h"
#include 	"PathDlg.h"


#define ID_ENDTHREAD	0x39B2
#define IDM_FLAGINFO	0x0020
#define IDM_SHORTCUT	0x0030
#define IDM_CPPFILTER	0x0040
#define IDM_CXXFILTER	0x0050


BEGIN_MESSAGE_MAP(CSynchPathDlg, CDialog)
	//{{AFX_MSG_MAP(CSynchPathDlg)
	ON_WM_PAINT()
	ON_WM_DESTROY()
	ON_WM_SYSCOMMAND()
	ON_WM_QUERYDRAGICON()
	ON_WM_SYSCOLORCHANGE()
	ON_BN_CLICKED(IDC_BUTTON1, OnPath1)
	ON_BN_CLICKED(IDC_BUTTON2, OnPath2)
	ON_BN_CLICKED(IDC_STOP, OnStop)
	ON_COMMAND(ID_ENDTHREAD,OnEndThread)
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_RADIO1, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO2, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO3, OnChangeMode)
	ON_BN_CLICKED(IDC_RADIO4, OnChangeMode)
END_MESSAGE_MAP()

#ifdef		_DEBUG
#define new	 DEBUG_NEW
#undef		 THIS_FILE
static char	 THIS_FILE[] = __FILE__;
#endif

#define CPP_FILTER	"*.exe;*.res;*.obj;*.idb;*.pdb;*.ilk;*.pch;*.ncb;*.opt;*.plg;*.dll;*.ocx;*.abs;*.enc;*.dat;*.001;*.arl;*.lib;*.bsc;*.exp;*.map;ReadMe.txt;*.vxd;*.sbr;*.aps;*.old;*.mac;*.err;*.log;*.wrn;*.sdf;*.mp3;*.gid;*.lib;*.fts;*.ftg;*.sav;*.00*;*.tmp;*.tlb;*.tli;*.tlh;*.mdb;*.gid;*.ftg;*.aps;*.cfd;*.exd;*.am;*.asp;*.rtb;*.sup;*.loc;*.cnv;*.jar;*.icu;*.stub;*.policy;*.keep;*.suo;BuildLog.htm;*.;*.pbd;*.tlog;*.lst;*.o;*.d;*.i;*.crf;*.browse;*.cout;*.ccp;*.psp;*.zip.bin;*buildstate;*.hdr.scr;RCA0*;Monitor*.bin;*.ipch;*.pch*"
#define CXX_FILTER	"*.c;*.cpp;*.h;*.hpp;*.dsw;*.dsp;*.bmp;*.ico;*.cur;*.rc;*.rc2;*.manifest"

BYTE	CSynchPathDlg::m_bFontSize[256];
UINT	CSynchPathDlg::m_uPathSize;


//*****************************************************************************
//*
//*		Konstruktor
//*
//*****************************************************************************
CSynchPathDlg::CSynchPathDlg(CWnd *pParent)	: CDialog(CSynchPathDlg::IDD,pParent)
{
	//{{AFX_DATA_INIT(CSynchPathDlg)
	m_dualsynch  = FALSE;
	m_viewerrors = FALSE;
	m_subdir     = FALSE;
	m_readonly   = FALSE;
	m_plus		 = _T("");
	m_minus 	 = _T("");
	m_path1 	 = _T("");
	m_path2 	 = _T("");
	m_mode  	 = 1;
	m_askcopy = FALSE;
	//}}AFX_DATA_INIT

	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
	m_noregistry   = FALSE;
	m_autostart    = FALSE;
	m_nooverwrite  = FALSE;
	m_alloverwrite = FALSE;
	m_removenew	   = FALSE;
	m_setcppfilter = FALSE;
	m_setcxxfilter = FALSE;
}

//*****************************************************************************
//*
//*		DoDataExchange
//*
//*****************************************************************************
void CSynchPathDlg::DoDataExchange(CDataExchange *pDX)
{

	if(!pDX->m_bSaveAndValidate)
		{
		if(m_removenew)
			{
			m_mode=3;
			m_alloverwrite = 0;
			m_nooverwrite  = 0;
			}
		else if(m_nooverwrite)
			{
			m_mode=0;
			m_alloverwrite = 0;
			}
		else if(m_alloverwrite)
			{
			m_mode=2;
			}
		else{
			m_mode=1;
			}
		}


	CDialog::DoDataExchange(pDX);

	//{{AFX_DATA_MAP(CSynchPathDlg)
	DDX_Check(pDX, IDC_CHECK1, m_askcopy);
	DDX_Check(pDX, IDC_CHECK2, m_dualsynch);
	DDX_Check(pDX, IDC_CHECK3, m_viewerrors);
	DDX_Check(pDX, IDC_CHECK4, m_subdir);
	DDX_Check(pDX, IDC_CHECK5, m_readonly);
	DDX_Radio(pDX, IDC_RADIO1, m_mode);
	DDX_CBString(pDX, IDC_COMBO1, m_plus);
	DDX_CBString(pDX, IDC_COMBO2, m_minus);
	DDX_CBString(pDX, IDC_COMBO3, m_path1);
	DDX_CBString(pDX, IDC_COMBO4, m_path2);
	//}}AFX_DATA_MAP

	if(pDX->m_bSaveAndValidate)
	switch(m_mode)
		{
	case 0:	m_nooverwrite  = 1;
			m_alloverwrite = 0;
			m_removenew    = 0;
			break;
	case 1:	m_nooverwrite  = 0;
			m_alloverwrite = 0;
			m_removenew    = 0;
			break;
	case 2:	m_nooverwrite  = 0;
			m_alloverwrite = 1;
			m_removenew    = 0;
			break;
	case 3:	m_nooverwrite  = 0;
			m_alloverwrite = 0;
			m_removenew    = 1;
			break;
	default:m_mode=0;
			m_nooverwrite  = 1;
			m_alloverwrite = 0;
		}


	EnableDlgItem(IDC_CHECK2,m_mode< 2);
	SetDlgItemText(IDC_PATH,(m_mode!=3)? "Zeilpafd :":"Lschpfad :");

}



//*****************************************************************************
//*
//*		OnInitDialog
//*
//*****************************************************************************
BOOL CSynchPathDlg::OnInitDialog()
{
CRect		 rect;
CRegKeys	 key;
char		*ptr;


	SetButtonBitmap(this,IDC_BUTTON1,IDB_OPEN);
	SetButtonBitmap(this,IDC_BUTTON2,IDB_OPEN);

    GetCharWidths(m_bFontSize);
	GetDlgItem(IDC_TEXT)->GetClientRect(&rect);
	m_uPathSize=rect.Width();

	m_chainplus  .ContainerInit();
	m_chainminus .ContainerInit();
	m_chainsource.ContainerInit();
	m_chaintarget.ContainerInit();

	GetDlgComboBox(IDC_COMBO1)->LimitText(768);
	GetDlgComboBox(IDC_COMBO2)->LimitText(768);
	GetDlgComboBox(IDC_COMBO3)->LimitText(768);
	GetDlgComboBox(IDC_COMBO4)->LimitText(768);

	SubclassComboBox(this,IDC_COMBO3,SCB_DROPFILE);
	SubclassComboBox(this,IDC_COMBO4,SCB_DROPFILE);

	key.Open(HKEY_CURRENT_USER,"Software\\AZ\\SynchPath");

	if(!m_noregistry)
		{
		key.Get(m_askcopy		,"AskCopy");
		key.Get(m_dualsynch		,"DualSynch");
		key.Get(m_nooverwrite	,"NoOverWrite");
		key.Get(m_alloverwrite	,"AllOverWrite");
		key.Get(m_removenew		,"RemoveNew");
		key.Get(m_viewerrors	,"ViewErrors");
		key.Get(m_subdir		,"SubDirectories");
		key.Get(m_readonly		,"ReadOnly");
		key.Get(m_plus			,"PlusFilter");
		key.Get(m_minus			,"MinusFilter");
		key.Get(m_path1			,"SourcePath");
		key.Get(m_path2			,"TargetPath");
		}

	if(m_nooverwrite)m_alloverwrite=0;

	key.Get((void**)&ptr,"PlusChain",REG_MULTI_SZ);
	if(ptr)
		{
		if(key.Len()>2)
			{
			m_chainplus.Add(&ptr);
			ListInsert(this,IDC_COMBO1,ptr);
			}
		delete ptr;
		}

	key.Get((void**)&ptr,"MinusChain",REG_MULTI_SZ);
	if(ptr)
		{
		if(key.Len()>2)
			{
			m_chainminus.Add(&ptr);
			ListInsert(this,IDC_COMBO2,ptr);
			}
		delete ptr;
		}

	key.Get((void**)&ptr,"SourceChain",REG_MULTI_SZ);
	if(ptr)
		{
		if(key.Len()>2)
			{
			m_chainsource.Add(&ptr);
			ListInsert(this,IDC_COMBO3,ptr);
			}
		delete ptr;
		}

	key.Get((void**)&ptr,"TargetChain",REG_MULTI_SZ);
	if(ptr)
		{
		if(key.Len()>2)
			{
			m_chaintarget.Add(&ptr);
			ListInsert(this,IDC_COMBO4,ptr);
			}
		delete ptr;
		}

	key.Close();


	m_bSynchOn = FALSE;
	m_bStop    = FALSE;


	CDialog::OnInitDialog();

	if(m_noregistry)
		{
		if(!m_plus .IsEmpty())SetDlgItemText(IDC_COMBO1,m_plus );
		if(!m_minus.IsEmpty())SetDlgItemText(IDC_COMBO2,m_minus);
		}


	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT( IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);

	if(pSysMenu!=NULL)
		{
		CString strCppFilter;
		CString strCxxFilter;
		CString strAboutMenu;
		CString strShortMenu;
		CString strInfoMenu;

		strCppFilter.LoadString(IDS_CPPFILTER);
		strCxxFilter.LoadString(IDS_CXXFILTER);
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		strShortMenu.LoadString(IDS_SHORTCUT);
		strInfoMenu .LoadString(IDS_FLAGINFO);

		if(!strAboutMenu.IsEmpty())
			{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX,  strAboutMenu);
			pSysMenu->AppendMenu(MF_STRING, IDM_SHORTCUT,  strShortMenu);
			pSysMenu->AppendMenu(MF_STRING, IDM_CPPFILTER, strCppFilter);
			pSysMenu->AppendMenu(MF_STRING, IDM_CXXFILTER, strCxxFilter);
			pSysMenu->AppendMenu(MF_STRING, IDM_FLAGINFO,  strInfoMenu);
			}
		}

	SetIcon(m_hIcon, TRUE);			// Groes Symbol verwenden
	SetIcon(m_hIcon, FALSE);		// Kleines Symbol verwenden


	if(m_setcppfilter)
		{
		SetDlgItemText(IDC_COMBO2,CPP_FILTER);
		m_setcppfilter = FALSE;
		}

	if(m_setcxxfilter)
		{
		SetDlgItemText(IDC_COMBO1,CXX_FILTER);
		m_setcxxfilter = FALSE;
		}



	if(m_autostart)OnOK();			// Autostart

	return TRUE;
}


//*****************************************************************************
//*
//*		OnSysCommand
//*
//*****************************************************************************
void CSynchPathDlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
		{
		CDialog  dlgAbout(IDD_ABOUTBOX);
		dlgAbout.DoModal();
		}
	else if ((nID & 0xFFF0) == IDM_SHORTCUT)
		{
		OnShortcut();
		}
	else if ((nID & 0xFFF0) == IDM_FLAGINFO)
		{
		OnFlagInfo();
		}
	else if ((nID & 0xFFF0) == IDM_CPPFILTER)
		{
		SetDlgItemText(IDC_COMBO2,CPP_FILTER);
		}
	else if ((nID & 0xFFF0) == IDM_CXXFILTER)
		{
		SetDlgItemText(IDC_COMBO1,CXX_FILTER);
		}
	else{
		CDialog::OnSysCommand(nID, lParam);
		}
}


//*****************************************************************************
//*
//*		OnPaint
//*
//*****************************************************************************
// Wollen Sie Ihrem Dialogfeld eine Schaltflche "Minimieren" hinzufgen, bentigen Sie
//  den nachstehenden Code, um das Symbol zu zeichnen. Fr MFC-Anwendungen, die das
//  Dokument/Ansicht-Modell verwenden, wird dies automatisch fr Sie erledigt.
void CSynchPathDlg::OnPaint()
{
	if (IsIconic())
	{
		CPaintDC dc(this); // Gertekontext fr Zeichnen

		SendMessage(WM_ICONERASEBKGND, (WPARAM) dc.GetSafeHdc(), 0);

		// Symbol in Client-Rechteck zentrieren
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Symbol zeichnen
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}


//*****************************************************************************
//*
//*		OnQueryDragIcon
//*
//*****************************************************************************
HCURSOR CSynchPathDlg::OnQueryDragIcon()
{
	return (HCURSOR) m_hIcon;
}



//*****************************************************************************
//*
//*		OnPath1
//*
//*****************************************************************************
void CSynchPathDlg::OnPath1()
{
CPathDlg	dlg;


	UpdateData();

	   dlg.SetPath(m_path1);
	if(dlg.DoModal("#Software\\AZ\\SynchPath\\Path1")!=IDOK)return;

	m_path1=dlg.GetPath();
	UpdateData(FALSE);

}

//*****************************************************************************
//*
//*		OnPath2
//*
//*****************************************************************************
void CSynchPathDlg::OnPath2()
{
CPathDlg	dlg;


	UpdateData();

	   dlg.SetPath(m_path2);
	if(dlg.DoModal("#Software\\AZ\\SynchPath\\Path2")!=IDOK)return;

	m_path2=dlg.GetPath();
	UpdateData(FALSE);

}

//*****************************************************************************
//*
//*		OnOK
//*
//*****************************************************************************
void CSynchPathDlg::OnOK()
{
CRegKeys	key;
int			len;
char	   *ptr;


	UpdateData();

	if(m_plus !="")m_chainplus  .CAdd(m_plus);
	if(m_minus!="")m_chainminus .CAdd(m_minus);
	if(m_path1!="")m_chainsource.CAdd(m_path1);
	if(m_path2!="")m_chaintarget.CAdd(m_path2);

	if(!m_noregistry)
		{
		key.Open(HKEY_CURRENT_USER,"Software\\AZ\\SynchPath");
		key.Set(m_askcopy		,"AskCopy");
		key.Set(m_dualsynch		,"DualSynch");
		key.Set(m_nooverwrite	,"NoOverWrite");
		key.Set(m_alloverwrite	,"AllOverWrite");
		key.Set(m_removenew		,"RemoveNew");
		key.Set(m_viewerrors	,"ViewErrors");
		key.Set(m_subdir		,"SubDirectories");
		key.Set(m_readonly		,"ReadOnly");
		key.Set(m_plus			,"PlusFilter");
		key.Set(m_minus			,"MinusFilter");
		key.Set(m_path1			,"SourcePath");
		key.Set(m_path2			,"TargetPath");

		len=m_chainplus.Chain(&ptr);
		if(len>2)key.Set(ptr,len,"PlusChain",REG_MULTI_SZ);
		ListInsert(this,IDC_COMBO1,ptr);
		delete ptr;
		len=m_chainminus.Chain(&ptr);
		if(len>2)key.Set(ptr,len,"MinusChain",REG_MULTI_SZ);
		ListInsert(this,IDC_COMBO2,ptr);
		delete ptr;
		len=m_chainsource.Chain(&ptr);
		if(len>2)key.Set(ptr,len,"SourceChain",REG_MULTI_SZ);
		ListInsert(this,IDC_COMBO3,ptr);
		delete ptr;
		len=m_chaintarget.Chain(&ptr);
		if(len>2)key.Set(ptr,len,"TargetChain",REG_MULTI_SZ);
		ListInsert(this,IDC_COMBO4,ptr);
		delete ptr;

		key.Close();
		}
					  m_uFlags =0x01;
	if(m_alloverwrite)m_uFlags =0x00;
	if(m_viewerrors	 )m_uFlags|=0x02;
	if(m_subdir		 )m_uFlags|=0x04;
	if(m_nooverwrite )m_uFlags|=0x08;
	if(m_dualsynch	 )m_uFlags|=0x10;
	if(m_readonly	 )m_uFlags|=0x20;
	if(m_removenew	 )m_uFlags|=0x40;
	if(m_askcopy	 )m_uFlags|=0x80;


	m_bStop   =FALSE;
	m_bSynchOn=TRUE;
	EnableDlgItem(IDC_STOP,1);
	EnableDlgItem(IDCANCEL,0);
	EnableDlgItem(IDOK    ,0);

	#ifdef 	_DEBUG
	ThreadProc(this);
	#else
	AfxBeginThread(ThreadProc,this);
	#endif

	UpdateData(FALSE);

}


//*****************************************************************************
//*
//*		OnCancel
//*
//*****************************************************************************
void CSynchPathDlg::OnCancel()
{
	if(m_bSynchOn)return;
	CDialog::OnCancel();
}


//*****************************************************************************
//*
//*		OnStop
//*
//*****************************************************************************
void CSynchPathDlg::OnStop()
{
	m_bStop=TRUE;
	SynchStop();
}

//*****************************************************************************
//*
//*		SynchName
//*
//*****************************************************************************
int	CSynchPathDlg::SynchName(void *pParam,const char *pFrom,const char*pTo)
{
CSynchPathDlg		*dlg=(CSynchPathDlg*)pParam;
static	unsigned 	 last=0;
unsigned			 zeit;
char				 text[256];



	zeit=GetTickCount();
	if(dlg->m_iTextNr<5 || zeit>last+300)
		{
		last=zeit;

		if(!pTo || !*pTo)pTo=pFrom;
		CommpressFileName(pTo,text,sizeof(text),m_uPathSize,m_bFontSize);
		dlg->SetDlgItemText(IDC_TEXT,text);
		dlg->m_iTextNr++;
		}

return dlg->m_bStop;
}



//*****************************************************************************
//*
//*		SynchPercent
//*
//*****************************************************************************
int	CSynchPathDlg::SynchPercent(void *pParam,int iPercent)
{
CSynchPathDlg		*dlg=(CSynchPathDlg*)pParam;
CProgressCtrl		*prog;
static	unsigned 	 last;
unsigned			 delta;


	delta=iPercent-last;

	if(delta>=3)
		{
		prog=(CProgressCtrl*)dlg->GetDlgItem(IDC_PROGRESS1);
		prog->SetPos(iPercent);
		last=iPercent;
		}

return dlg->m_bStop;
}



//*****************************************************************************
//*
//*		ThreadProc
//*
//*****************************************************************************
UINT CSynchPathDlg::ThreadProc(LPVOID pParam)
{
return ((CSynchPathDlg*)pParam)->ThreadProc();
}
UINT CSynchPathDlg::ThreadProc()
{

	#ifdef 	_DEBUG
	synch_name    = 0;
	synch_percent = 0;
	synch_param   = this;
	synch_hwnd    = m_hWnd;
	#else
	synch_name    = SynchName;
	synch_percent = SynchPercent;
	synch_param   = this;
	synch_hwnd    = m_hWnd;
	#endif

	m_iTextNr=0;
	m_iResult=SynchCopy(m_path1,m_path2,m_plus,m_minus,m_uFlags);

	PostMessage(WM_COMMAND,ID_ENDTHREAD);

return 0;
}



//*****************************************************************************
//*
//*		OnEndThread
//*
//*****************************************************************************
void CSynchPathDlg::OnEndThread()
{
CProgressCtrl		*prog;


	prog=(CProgressCtrl*)GetDlgItem(IDC_PROGRESS1);
	prog->SetPos(100);


 	EnableDlgItem(IDCANCEL,1);
	EnableDlgItem(IDC_STOP,0);
	EnableDlgItem(IDOK    ,1);
	m_bSynchOn=FALSE;

	if(m_iResult>=0)
		{
		CString text;
		text.Format((m_uFlags&0x40)?"Es wurden %i Dateien gelscht.":
									"Es wurden %i Dateien kopiert.",m_iResult);
		MessageBox(text,"SynchPath");
		}

	if(m_iResult==-1)
		{
		MessageBox("Es gab einen Fehler beim Synchronisieren.","SynchPath",MB_OK|MB_ICONERROR);
		}

	prog->SetPos(0);
	SetDlgItemText(IDC_TEXT,"");
}


//*****************************************************************************
//*
//*		OnFlagInfo
//*
//*****************************************************************************
void CSynchPathDlg::OnFlagInfo()
{
CDialog	dlg(IDD_FLAGINFODLG,this);

	dlg.DoModal();

}


//*****************************************************************************
//*
//*		OnShortcut
//*
//*****************************************************************************
void CSynchPathDlg::OnShortcut()
{
int		x,iView,iAuto=0;
CString	sExePath;
CString	sLnkPath;
CString	sLnkFile;
CString	sLnkName;
CString	sLnkParam;


	if(m_bSynchOn)return;

	UpdateData();

	CFileDialog	dlg(FALSE,0,0,OFN_EXPLORER|OFN_ENABLESIZING|OFN_PATHMUSTEXIST|OFN_HIDEREADONLY,"Alle Dateien    (*.*)|*.*|");
	   dlg.m_ofn.lpstrTitle="Verknpfung erstellen";
	if(dlg.DoModal()!=IDOK)return;

	   x=MessageBox("Den Dialog anzeigen ?","Verknpfung erstellen",MB_ICONQUESTION|MB_YESNOCANCEL);
	if(x==IDCANCEL)return;
	iView=(x==IDYES)? 0:1;

	if(!iView)
		{
		   x=MessageBox("Automatisch starten ?","Verknpfung erstellen",MB_ICONQUESTION|MB_YESNOCANCEL|MB_DEFBUTTON2);
		if(x==IDCANCEL)return;
		iAuto=(x==IDYES)? 1:0;
		}

	sLnkFile=dlg.GetPathName();
	GetExeName (sExePath);
	GetFilePath(sLnkPath,sLnkFile);
	GetFileName(sLnkName,sLnkFile);


	sLnkParam  = "\"-Q:";
	sLnkParam += m_path1;
	sLnkParam += "\" \"-Z:";
	sLnkParam += m_path2;
	sLnkParam += "\" \"-P:";
	sLnkParam += m_plus;
	sLnkParam += "\" \"-M:";
	sLnkParam += m_minus;
	sLnkParam += "\" ";

	if(m_dualsynch   )sLnkParam+="-B ";
	if(m_nooverwrite )sLnkParam+="-N ";
	if(m_alloverwrite)sLnkParam+="-L ";
	if(m_viewerrors  )sLnkParam+="-F ";
	if(m_subdir      )sLnkParam+="-U ";
	if(m_readonly    )sLnkParam+="-S ";
	if(iView         )sLnkParam+="-V ";
	if(iAuto         )sLnkParam+="-A ";

	x=ShortCutCreate(sLnkPath,sExePath,sLnkName,sLnkParam);

	if(x)
		{
		ShortCutSetIcon(sLnkPath,sExePath,sLnkName);
		}
	else{
		MessageBox("Die Verknpfung konnte inicht erstellt werden.","Fehler",MB_ICONERROR);
		}

}


//*****************************************************************************
//*
//*		OnChangeMode
//*
//*****************************************************************************
void CSynchPathDlg::OnChangeMode()
{

	UpdateData();

}

//*****************************************************************************
//*
//*		OnDestroy
//*
//*****************************************************************************
void CSynchPathDlg::OnDestroy()
{
	CDialog::OnDestroy();

	DelButtonBitmap(this,IDC_BUTTON1);
	DelButtonBitmap(this,IDC_BUTTON2);

}


//*****************************************************************************
//*
//*		OnSysColorChange
//*
//*****************************************************************************
void CSynchPathDlg::OnSysColorChange()
{

	CDialog::OnSysColorChange();

	DelButtonBitmap(this,IDC_BUTTON1);
	DelButtonBitmap(this,IDC_BUTTON2);

	SetButtonBitmap(this,IDC_BUTTON1,IDB_OPEN);
	SetButtonBitmap(this,IDC_BUTTON2,IDB_OPEN);

}

